!------------------------------------------------------------------------------
!  T m a g   Photometric Package
!  @(#) $Id: tmag_mes.prg,v 1.2 2002/08/19 04:36:45 ohainaut Exp $
!
!@@ tmag_mes std_frames.cat table_prefix stdtab
!measure stars
defi/loc diapspec/c/1/72  "@30,@5,@5"
! define the diaphragm
defi/loc kopt/c/1/72      "? sc=-4"  
! load options
!----------------------------------------------------------------------
define/par p1 ? c "catalog/image name: "
if p1 .eq. "??" then
   $ head -8 $MID_WORK/tmag_mes.prg
   return
endif
defi/par p2 ? c "table refix?"
defi/par p3  nil ? "std tab"

! Ddefinition of the variables

define/local catal/i/1/2 0,0
defi/loc i/i/1/1 0
defi/loc catflag/i/1/1 0
defi/loc len/i/1/1 0
defi/loc c1/i/1/1 0
defi/loc c2/i/1/1 0
defi/loc r/i/1/1 0
defi/loc t/r/1/1 0.
defi/loc res/r/1/1 0.
defi/loc w/r/1/2 0.,0.
defi/loc name/c/1/72 " "


defi/loc param1/c/1/20 {p1}
defi/loc root/c/1/20 {p2}
defi/loc mykey/c/1/20 " "
defi/loc my2key/c/1/20 " "


! Check if it is a catalog or a single frame

len = m$len(param1)
c1  = len-2
c2  = len
if "{param1({c1}:{c2})}" .eq. "cat" catflag = 1


! start the loop
cat_loop:

   store/frame mykey 'p1' 1 finito

   len = m$len(mykey)
   c1 =  1
   c2 = len-4

   my2key = mykey({c1}:{c2})

!*
! HERE START THE REAL THINGS
writ/out "---> {p2}{my2key}"
cle/ch ov

@@ amag_kload {mykey} {kopt}

if "{p3}" .ne. "nil"   then
   name = "{{mykey},ident}"
   if "{name(1:4)}" .eq. "std_" then
      name = "{name(5:)}"
      writ/out "{name}"
   endif
   if "{name(1:2)}" .eq. "SA" then
      name = "{name(3:)}"
      writ/out "{name}"

   endif

idx:
   i = m$index(name,"-")
   if i .gt. 0 then
      name({i}:{i}) = "_"
      goto idx
   endif
   name = M$UPPER(name)
   writ/out "*{name(1:5)}*"   
   sele/tab {p3} :ident .eq. "{name(1:4)}*"
   read/tab {p3} :ident 
endif

!labe/disp "{{mykey},ident}" 30,10 ? ? 2

i = 1

again:
magn/cir ? wtab {diapspec} ? 1,2. 2,1,1,1
if {wtab.tbl,tblcontr(10)} .eq. 1 then
   name = "                "
   comp/tab wtab :standard = "123456789012"
   inqu/key name "Identifier?"
   comp/tab wtab :standard = "{name}              "
!  read/tab wtab
   if i .eq. 1 then
      $ mv wtab.tbl {p2}{my2key}.tbl
      i = 0
   else
      merg/tab {p2}{my2key} wtab wwtab
      $ mv wwtab.tbl {p2}{my2key}.tbl
   endif
!  read/tab {p2}{my2key}
   goto again
endif

i = m$existd(mykey,"ESO.TEL.AIRM.START")
if i .eq. 1 then
  comp/tab {p2}{my2key} :AIRM = ({{mykey},ESO.TEL.AIRM.START}+{{mykey},ESO.TEL.AIRM.END})/2.
else
  i = m$existd(mykey,"o_airm")
  if i .eq. 1 then
    comp/tab {p2}{my2key} :AIRM = {{mykey},o_airm}
  else 
    comp/tab {p2}{my2key} :AIRM = .9999999
  endif
endif
read/tab  {p2}{my2key} :standard :MAGNITUDE

comp/tab {p2}{my2key} :stdstatus = 1



!HERE END THE REAL THINGS
!*
goto cat_loop
finito:

!             ___
!            /   \  \^/
!           _\_\_/_ //
!         ----------/



